*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


u "$dir_inter/created_data_in_dta/residuals_bycell_t3.dta", clear


local group gdelt acled scad
foreach c of local group {

!rm "${dir_inter}/tables/t_3_`c'_final.txt"
!rm "${dir_inter}/tables/t_3_`c'_final.tex"
!rm "${dir_inter}/tables/t_3_`c'_final.xml"

}



***************
*All columns 
***************



local main dem aut freepress cappress small large noconf_cell yconf_cell
foreach i of local main {

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_`i'_3 (r_pct_cov_`i'_3 r_covgdp_wb_`i'_3 =r_flash2_tv_`i'_3 r_flash2_tvgdp_`i'_3) [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_`i'_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_`i'_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 


 outreg2 r_pct_cov_`i'_3 r_covgdp_wb_`i'_3 using "${dir_inter}/tables/t_3_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2') slow(700)

}
}
