*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


clear
use  "$dir_inter/created_data_in_dta/micro_model_50_final", replace

 
*************** 
*Table 4
***************

!rm "${dir_inter}/tables/t_4_final.txt"
!rm "${dir_inter}/tables/t_4_final.tex"
!rm "${dir_inter}/tables/t_4_final.xml"

local group unempl dimpr_ec_y dimpr_ec_c d_pres dop_pres 
foreach i of local group  { 
local opt "bdec(3) excel tex nonotes noobs adds(cells_fe, e(N_clust))"

     
  
**************
*Upper panel
**************
reg r_`i'3 r_pd_m3 r_p_m_gdp_g_wb3 [aw=weight], cluster(country)
    

boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

*number respondents
count if r_`i'3!=. & r_p_m_gdp_g_wb3!=. & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_4_final", append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 /*
*/adds(resp, `aux',boot pd_m, `aux1',boot pd_m_gdp, `aux2' ) slow(1700) keep(r_pd_m3 r_p_m_gdp_g_wb3)

est store `i'3




**************
*middle panel
**************
reg r_`i'3 r_pd_m3 r_p_m_gdp_g_wb3 r_pd_r3 r_p_r_gdp_g_wb3 r_pd_t3 r_p_t_gdp_g_wb3 r_pd_i3 r_p_i_gdp_g_wb3 [aw=weight], cluster(country)
    
boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux3=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux4=r(p) 


*number respondents
count if r_`i'3!=. & r_p_m_gdp_g_wb3!=. & r_p_r_gdp_g_wb3  & r_p_t_gdp_g_wb3  & r_p_i_gdp_g_wb3 & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_4_final", append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 /*
*/adds(resp, `aux', boot pd_m, `aux3',boot pd_m_gdp, `aux4') slow(1700) keep(r_pd_m3 r_p_m_gdp_g_wb3)



 


**************
*lower panel
**************
reg r_`i'3 r_pd_m3 r_p_m_gdp_g_wb3  r_pd_r3 r_p_r_gdp_g_wb3 r_pd_t3 r_p_t_gdp_g_wb3 r_pd_i3 r_p_i_gdp_g_wb3 r_ded_gdp_g_wb3 r_age_gdp_g_wb3 r_age2_gdp_g_wb3 r_sex_gdp_g_wb3 /*
*/  r_city_gdp_g_wb3 r_hh_adu_gdp_g_wb3 r_dhh_adu_gdp_g_wb3 [aw=weight], cluster(country)
    
boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux5=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux6=r(p) 


*number respondents
count if r_`i'3!=. & r_p_m_gdp_g_wb3!=. &  r_age_gdp_g_wb3!=. & r_age2_gdp_g_wb3!=. & r_sex_gdp_g_wb3!=. & r_city_gdp_g_wb3 &/*
*/r_hh_adu_gdp_g_wb3!=. & r_dhh_adu_gdp_g_wb3 & r_pd_r3 & r_p_r_gdp_g_wb3 & r_pd_t3 & r_p_t_gdp_g_wb3 & r_pd_i3 & r_p_i_gdp_g_wb3 & r_ded_gdp_g_wb3!=. & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_4_final", append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 /*
*/adds(resp, `aux', boot pd_m, `aux5',boot pd_m_gdp, `aux6') slow(1700) keep(r_pd_m3 r_p_m_gdp_g_wb3)



}


 
