*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"

!rm "${dir_inter}/tables/t_b4_final.txt"
!rm "${dir_inter}/tables/t_b4_final.tex"
!rm "${dir_inter}/tables/t_b4_final.xml"
clear
use "${dir_inter}/created_data_in_dta/micro_model_50_final", replace


!rm "${dir_inter}/tables/t_5_final.txt"
!rm "${dir_inter}/tables/t_5_final.tex"
!rm "${dir_inter}/tables/t_5_final.xml"




*******
*col.1
*******
ivreg2 r_act_prot3 r_pd_m3 r_p_m_gdp_g_wb3 (r_avg_act_prot3 r_p_m_avg_act_prot3 = r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3) [aw=weight], cluster(country) savefirst
 

*bootstrapped coefficients
boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p)

boottest r_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux3=r(p)

boottest r_p_m_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux4=r(p)

*number respondents
count if r_act_prot3!=. & r_p_m_gdp_g_wb3!=. & r_p_m_avg_act_prot3!=. & resp==1  
local aux=r(N)
   
outreg2 using "${dir_inter}/tables/t_5_final",/*
*/append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 adds(resp, `aux', /*
*/boot pd_m, `aux1', boot pd_m_gdp, `aux2', boot avg_prot, `aux3', boot pd_m_avg_prot, `aux4') slow(700) keep(r_pd_m3 r_p_m_gdp_g_wb3 r_avg_act_prot3 r_p_m_avg_act_prot3)




*******
*col.2
*******
ivreg2 r_act_prot3 r_pd_m3 r_p_m_gdp_g_wb3 r_pd_r3 r_p_r_gdp_g_wb3 r_pd_t3 r_p_t_gdp_g_wb3 r_pd_i3 r_p_i_gdp_g_wb3 (r_avg_act_prot3 r_p_m_avg_act_prot3 = /*
*/r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3   r_avg_pd_r3 r_avg_pd_r_gr3   r_avg_pd_t3 r_avg_pd_t_gr3  r_avg_pd_i3 r_avg_pd_i_gr3)/*
*/[aw=weight], cluster(country) savefirst
 

*bootstrapped coefficients
boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p)

boottest r_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux3=r(p)

boottest r_p_m_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux4=r(p)


*number respondents
count if r_act_prot3!=. & r_p_m_gdp_g_wb3!=. & r_p_t_gdp_g_wb3!=. & r_p_r_gdp_g_wb3!=. & r_p_i_gdp_g_wb3!=. & r_p_m_avg_act_prot3!=. & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_5_final",/*
*/append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 adds(resp, `aux', boot pd_m, `aux1', /*
*/boot pd_m_gdp, `aux2', boot avg_prot, `aux3', boot pd_m_avg_prot, `aux4') slow(700)keep(r_pd_m3 r_p_m_gdp_g_wb3 r_avg_act_prot3 r_p_m_avg_act_prot3)

     
   
*******
*col.3
*******
ivreg2 r_act_prot3 r_pd_m3 r_p_m_gdp_g_wb3 r_ded_gdp_g_wb3 r_pd_r3 r_p_r_gdp_g_wb3 r_pd_t3 r_p_t_gdp_g_wb3 r_pd_i3 r_p_i_gdp_g_wb3 /*
   */r_age_gdp_g_wb3 r_age2_gdp_g_wb3 r_sex_gdp_g_wb3 r_city_gdp_g_wb3 r_hh_adu_gdp_g_wb3 r_dhh_adu_gdp_g_wb3 /*
   */(r_avg_act_prot3 r_p_m_avg_act_prot3  = r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3   r_avg_pd_r3 r_avg_pd_r_gr3   r_avg_pd_t3 r_avg_pd_t_gr3  r_avg_pd_i3 r_avg_pd_i_gr3)[aw=weight], cluster(country) savefirst

  
   
 *bootstrapped coefficients
boottest r_pd_m3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_p_m_gdp_g_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p)

boottest r_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux3=r(p)

boottest r_p_m_avg_act_prot3, noci   seed(121237)  boottype(wild) cluster(country)
local aux4=r(p) 

*number respondents
count if r_act_prot3!=. & r_p_m_gdp_g_wb3!=. & r_p_t_gdp_g_wb3!=. & r_p_r_gdp_g_wb3!=. & r_p_i_gdp_g_wb3!=. & r_p_m_avg_act_prot3!=. & resp==1  
local aux=r(N)

   
outreg2  using "${dir_inter}/tables/t_5_final",/*
*/append bdec(3) pdec(2) excel tex nonotes noobs noaster nocons nose nor2 adds(resp, `aux', boot pd_m, `aux1', /*
*/boot pd_m_gdp, `aux2', boot avg_prot, `aux3', boot pd_m_avg_prot, `aux4') slow(700) keep(r_pd_m3 r_p_m_gdp_g_wb3 r_avg_act_prot3 r_p_m_avg_act_prot3)
 
   
