clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"

*perform residualization for regressions in Table 1
*do "${dir}/MOBILE PHONES/ECMA/final_submission/do/1.mk_res_t1_final.do"




!rm "${dir_inter}/tables/t_A3_final.txt"
!rm "${dir_inter}/tables/t_A3_final.tex"
!rm "${dir_inter}/tables/t_A3_final.xml"



**************
*all columns
**************
u  "$dir_inter/created_data_in_dta/residuals_bycell_final.dta", replace 

local group gdelt acled scad

foreach c of local group {

reg r_ln_`c'_pc3 r_pct_cov3   [aw=pop_ip], cluster(country) 

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

outreg2 r_pct_cov3 using "${dir_inter}/tables/t_A3_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds( boot pct_cov, `aux1') slow(700)


reg r_ln_`c'_pc3 r_pct_cov3 r_covgdp_wb3  [aw=pop_ip], cluster(country) 

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_covgdp_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

   
outreg2 r_pct_cov3 r_covgdp_wb3 using "${dir_inter}/tables/t_A3_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds( boot pct_cov, `aux1', boot covgdp_wb, `aux2') slow(700)

}


