*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


u  "$dir_inter/created_data_in_dta/residuals_bycell_final.dta", replace 


**************
*columns 1-2
**************

ivreg2 r_pct_cov3 r_flash2_tv3 r_flash2_tvgdp3  [aw=pop_ip], cluster(country) 


boottest r_flash2_tv3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_flash2_tvgdp3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 
 

 outreg2 r_flash2_tv3 r_flash2_tvgdp3 using "${dir_inter}/tables/t_1_final",/*
    */replace bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(obs, e(N), boot flash2_tv, `aux1', boot flash2_tvgdp, `aux2') slow(700)


*Adds Sanderson-Windmjier to attach to first stage output (same for both fs) 
qui ivreg2 r_ln_gdelt_pc3 (r_pct_cov3 r_covgdp_wb3 =r_flash2_tv3 r_flash2_tvgdp3)  [aw=pop_ip], cluster(country) ffirst 
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb


ivreg2 r_covgdp_wb3 r_flash2_tv3 r_flash2_tvgdp3  [aw=pop_ip], cluster(country) 

boottest r_flash2_tv3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_flash2_tvgdp3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

outreg2 r_flash2_tv3 r_flash2_tvgdp3 using "${dir_inter}/tables/t_1_final", append/*
    */ bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(obs, e(N), boot flash2_tv, `aux1', boot flash2_tvgdp, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)




**************
*columns 3-8
**************

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc3 (r_pct_cov3 =r_flash2_tv3)  [aw=pop_ip], cluster(country) endog(r_pct_cov3)


boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

local aux3 =e(estatp)
outreg2 r_pct_cov3 using "${dir_inter}/tables/t_1_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(obs, e(N), boot pct_cov, `aux1', Endog. test, `aux3') slow(700)


ivreg2 r_ln_`c'_pc3 (r_pct_cov3 r_covgdp_wb3 =r_flash2_tv3 r_flash2_tvgdp3)  [aw=pop_ip], cluster(country) endog(r_pct_cov3 r_covgdp_wb3)


boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_covgdp_wb3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

local aux3 =e(estatp)

   
outreg2 r_pct_cov3 r_covgdp_wb3 using "${dir_inter}/tables/t_1_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', Endog. test, `aux3') slow(700)

	

}


