*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



set more 1



u "$dir_inter/created_data_in_dta/residuals_bycell_tA7.dta",replace

for any pct_cov covgdp_wb flash2_tv flash2_tvgdp:rename r_X3 r_X_3


**********
*Col.1
**********

local group gdelt acled scad

foreach c of local group{

!rm "${dir_inter}/tables/t_A7_`c'_final.txt"
!rm "${dir_inter}/tables/t_A7_`c'_final.tex"
!rm "${dir_inter}/tables/t_A7_`c'_final.xml"

}

local group gdelt acled scad

foreach c of local group{

ivreg2 r_ln_`c'_pc_trim993 (r_pct_cov_3 r_covgdp_wb_3=r_flash2_tv_3 r_flash2_tvgdp_3)[aw=pop_ip],cluster(country) ffirst

boottest r_pct_cov_3,noci seed(121237) boottype(wild) cluster(country)
local aux1=r(p)

boottest r_covgdp_wb_3,noci seed(121237) boottype(wild) cluster(country)
local aux2=r(p)

*Sanderson-Windmeijer
cap matrix drop first
matrix first=e(first)
matrix list first
cap drop SW*
cap drop AR*
local SW1=el(first,8,1)
local SW2=el(first,8,2)



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_A7_`c'_final",append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
*/adds(bootpct_cov,`aux1',bootcovgdp_wb,`aux2',SWflash2_tv,`SW1',SWflash2_tvgdp,`SW2') slow(700)

}




**********
*Col.2
**********

local groupgdelt acled scad

foreach c of local group{

ivreg2 r_ln_`c'_pc_wins993 (r_pct_cov_3 r_covgdp_wb_3=r_flash2_tv_3 r_flash2_tvgdp_3)[aw=pop_ip],cluster(country) ffirst

boottest r_pct_cov_3,noci seed(121237) boottype(wild) cluster(country)
local aux1=r(p)

boottest r_covgdp_wb_3,noci seed(121237) boottype(wild) cluster(country)
local aux2=r(p)

*Sanderson-Windmeijer
cap matrix drop first
matrix first=e(first)
matrix list first
cap drop SW*
cap drop AR*
local SW1=el(first,8,1)
local SW2=el(first,8,2)



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_A7_`c'_final",append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
*/adds(bootpct_cov,`aux1',bootcovgdp_wb,`aux2',SWflash2_tv,`SW1',SWflash2_tvgdp,`SW2') slow(700)
}


**********
*Col.3
**********

local groupgdelt acled scad

foreach c of local group{

ivreg2 r_sqrt_`c'_pc3 (r_pct_cov_3 r_covgdp_wb_3=r_flash2_tv_3 r_flash2_tvgdp_3)[aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_3,noci seed(121237) boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p)

boottest r_covgdp_wb_3,noci seed(121237) boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p)

*Sanderson-Windmeijer
cap matrix drop first
matrix first=e(first)
matrix list first
cap drop SW*
cap drop AR*
local SW1=el(first,8,1)
local SW2=el(first,8,2)



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_A7_`c'_final",append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
*/adds(bootpct_cov,`aux1',bootcovgdp_wb,`aux2',SWflash2_tv,`SW1',SWflash2_tvgdp,`SW2') slow(700)

}



**********
*Col.4
**********

local groupgdelt acled scad

foreach c of local group{

ivreg2 r_`c'_pc3 (r_pct_cov_3 r_covgdp_wb_3=r_flash2_tv_3 r_flash2_tvgdp_3) [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_3,noci seed(121237) boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p)

boottest r_covgdp_wb_3,noci seed(121237) boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p)

*Sanderson-Windmeijer
cap matrix drop first
matrix first=e(first)
matrix list first
cap drop SW*
cap drop AR*
local SW1=el(first,8,1)
local SW2=el(first,8,2)



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_A7_`c'_final",append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
*/adds(bootpct_cov,`aux1',bootcovgdp_wb,`aux2',SWflash2_tv,`SW1',SWflash2_tvgdp,`SW2') slow(700)
}
