*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



*perform residualization for regressions in Table 1
*do "${dir}/MOBILE PHONES/ECMA/final_submission/do/1.mk_res_t1_final.do"


u "$dir_inter/created_data_in_dta/residuals_bycell_final_A8.dta", replace
 


!rm "${dir_inter}/tables/t_A8_final.txt"
!rm "${dir_inter}/tables/t_A8_final.tex"
!rm "${dir_inter}/tables/t_A8_final.xml"



**************
*columns 3-8
**************

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc3 (r_pct_cov3 r_cov_dlnNL_country3=r_flash2_tv3 r_flash2_tv_dlnNL_country3)  [aw=pop_ip], cluster(country) first


cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
local SW1= el(first,8,1)   
local SW2= el(first,8,2)   

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_cov_dlnNL_country3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

outreg2 r_pct_cov3 r_cov_dlnNL_country3 using "${dir_inter}/tables/t_A8_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(boot pct_cov, `aux1', boot cov_dlnNL_country, `aux2', SW flash2_tv, `SW1' , SW flash2_tv_dlnNL_country, `SW2') slow(700)



ivreg2 r_ln_`c'_pc3 (r_pct_cov3 r_cov_dlnNL_adm13=r_flash2_tv3 r_flash2_tv_dlnNL_adm13)  [aw=pop_ip], cluster(country) first

cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
local SW1= el(first,8,1)    
local SW2= el(first,8,2)    

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_cov_dlnNL_adm13, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

   
outreg2 r_pct_cov3 r_cov_dlnNL_adm13 using "${dir_inter}/tables/t_A8_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds(boot pct_cov, `aux1', boot cov_dlnNL_adm1, `aux2', SW flash2_tv, `SW1', SW flash2_tv_dlnNL_adm1, `SW2') slow(700) 



ivreg2 r_ln_`c'_pc3 (r_pct_cov3 r_cov_dlnNL_country3 r_cov_dlnNL_adm13=r_flash2_tv3 r_flash2_tv_dlnNL_country3 r_flash2_tv_dlnNL_adm13)  [aw=pop_ip], cluster(country) first

cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
local SW1= el(first,8,1)    
local SW2= el(first,8,2)    
local SW3= el(first,8,3)   

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(country)
local aux1=r(p) 

boottest r_cov_dlnNL_country3, noci   seed(121237)  boottype(wild) cluster(country)
local aux2=r(p) 

boottest r_cov_dlnNL_adm13, noci   seed(121237)  boottype(wild) cluster(country)
local aux3=r(p) 
   
outreg2 r_pct_cov3 r_cov_dlnNL_adm13 using "${dir_inter}/tables/t_A8_final",/*
    */append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds( boot pct_cov, `aux1',  boot cov_dlnNL_country, `aux2',  boot cov_dlnNL_adm1, `aux3', SW flash2_tv, `SW1',SW flash2_tv_dlnNL_country, `SW2', SW flash2_tv_dlnNL_adm1, `SW3') slow(700) 
}


