*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


***************
*TABLE A.9 
***************

!rm "${dir_inter}/tables/t_A9_final.txt"
!rm "${dir_inter}/tables/t_A9_final.tex"
!rm "${dir_inter}/tables/t_A9_final.xml"

	
clear
use  "$dir_inter/created_data_in_dta/micro_model_50_final", replace
	
	
*Reproduce explicitely the first-stages of the main Afrobarometer model
reg r_avg_act_prot3  r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3 r_pd_m3 r_p_m_gdp_g_wb3 if r_act_prot3!=. [aw=weight], cluster(country)

boottest r_avg_pd_m3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux5=r(p) 

boottest r_avg_pd_m_gr3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux6=r(p)

boottest r_p_m_avg_pd_m3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux7=r(p)

boottest r_p_m_avg_pd_m_gr3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux8=r(p)


*number respondents
count if r_act_prot3!=. & r_p_m_gdp_g_wb3!=. & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_A9_final" ,keep(r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3) /*
*/append bdec(3) excel tex nonotes nose noaster noobs adds(resp, `aux', boot avg_pd_m, `aux5', boot avg_pd_m_gr, `aux6', boot p_m_avg_pd_m, `aux7', boot p_m_avg_pd_m_gr, `aux8') slow(700)



	
	
reg r_p_m_avg_act_prot3 r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3 r_pd_m3 r_p_m_gdp_g_wb3 if r_act_prot3!=. [aw=weight], cluster(country)
	
boottest r_avg_pd_m3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux9=r(p) 

boottest r_avg_pd_m_gr3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux10=r(p)

boottest r_p_m_avg_pd_m3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux11=r(p)

boottest r_p_m_avg_pd_m_gr3, noci   seed(121237)  boottype(wild)	 cluster(country)
local aux12=r(p)


*number respondents
count if r_act_prot3!=. & r_p_m_gdp_g_wb3!=. & resp==1  
local aux=r(N)

outreg2 using "${dir_inter}/tables/t_A9_final" ,keep(r_avg_pd_m3 r_avg_pd_m_gr3 r_p_m_avg_pd_m3 r_p_m_avg_pd_m_gr3) /*
*/append bdec(3) excel tex nonotes nose noaster noobs adds(resp, `aux', boot avg_pd_m, `aux9', boot avg_pd_m_gr, `aux10', boot p_m_avg_pd_m, `aux11', boot p_m_avg_pd_m_gr, `aux12') slow(700)




 
