*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


!rm "${dir_inter}/tables/t_B4_final.txt"
!rm "${dir_inter}/tables/t_B4_final.tex"
!rm "${dir_inter}/tables/t_B4_final.xml"

clear
use  "$dir_inter/created_data_in_dta/micro_model_50_final", replace
egen gr=group(country)
collapse  r_avg_act_prot3  r_pct_cov3   r_covgdp_wb3 gr, by(cell_id year)
merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_final.dta", keepusing( r_ln_gdelt_pc3  r_ln_acled_pc3  r_ln_scad_pc3 pop_ip)

foreach h in gdelt acled scad { 

reg r_ln_`h'_pc3 r_pct_cov3 r_covgdp_wb3 [aw=pop_ip], cluster(gr)

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(gr)
local aux15_ls=r(p) 

boottest r_covgdp_wb3, noci   seed(121237)  boottype(wild) cluster(gr)
local aux16_ls=r(p)

   
*number cells
count if r_ln_`h'_pc3!=. & r_covgdp_wb3!=. & cell==1  
local aux=r(N)

outreg2 r_pct_cov3 r_covgdp_wb3 using "${dir_inter}/tables/t_B4_final", append bdec(3) excel tex nonotes noaster nose  adds(boot pct_cov, `aux15_ls',boot covgdp_wb, `aux16_ls' ) slow(700)


}



foreach h in  avg_act_prot { 

reg r_`h'3 r_pct_cov3 r_covgdp_wb3 [aw=pop_ip], cluster(gr)

boottest r_pct_cov3, noci   seed(121237)  boottype(wild) cluster(gr)
local aux15_ls=r(p) 

boottest r_covgdp_wb3, noci   seed(121237)  boottype(wild) cluster(gr)
local aux16_ls=r(p)

   
*number cells
count if r_`h'3!=. & r_covgdp_wb3!=. & cell==1  
local aux=r(N)

outreg2 r_pct_cov3 r_covgdp_wb3 using "${dir_inter}/tables/t_B4_final", append bdec(3) excel tex nonotes noaster nose adds(boot pct_cov, `aux15_ls',boot covgdp_wb, `aux16_ls' ) slow(700)


}




